YUI Flash Component Documentation |
Class GraphicsUtil

Package | com.yahoo.astra.utils
Class | public class GraphicsUtil

Utility functions for drawing to `Graphics` objects.

See also

flash.display.Graphics

Public Methods

| Method | Defined by
--- | --- | ---
|  | drawDashedLine(target:Graphics, xStart:Number, yStart:Number, xEnd:Number, yEnd:Number, dashSize:Number = 10, gapSize:Number = 10):void [static] Draws a dashed line between two points. | GraphicsUtil

Method detail

drawDashedLine | () | method

`public static function drawDashedLine(target:Graphics, xStart:Number, yStart:Number, xEnd:Number, yEnd:Number, dashSize:Number = 10, gapSize:Number = 10):void`

Draws a dashed line between two points.

Parameters

| `target:Graphics` — The x position of the start of the line
| `xStart:Number` — The y position of the start of the line
| `yStart:Number` — The x position of the end of the line
| `xEnd:Number` — The y position of the end of the line
| `yEnd:Number` — the size of dashes, in pixels
| `dashSize:Number` (default = `10`)`` — the size of gaps between dashes, in pixels
| `gapSize:Number` (default = `10`)``